MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031512Open CASCADE[OCCT] OCCT:Foundation Classespublic2020-04-21 22:232020-04-26 14:12
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031512: Foundation Classes - drop unused class NCollection_Comparator
DescriptionNCollection_Comparator has been introduced for NCollection_QuickSort tool, which has been removed long time. So should be NCollection_Comparator.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0027915closedapn Open CASCADE Foundation Classes - remove the class NCollection_QuickSort 

-  Notes
(0091708)
git (administrator)
2020-04-21 22:25

Branch CR31512 has been created by kgv.

SHA-1: fdd890b4c871a5f59f93d05db49f298a1366c7da


Detailed log of new commits:

Author: kgv
Date: Tue Apr 21 22:26:13 2020 +0300

    0031512: Foundation Classes - drop unused class NCollection_Comparator
(0091709)
kgv (developer)
2020-04-21 23:46

Please raise the patch in OCCT branch CR31512.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31512-master-KGV/ [^]
(0091764)
bugmaster (administrator)
2020-04-24 10:39

Combination -
OCCT branch : WEEK-17
master SHA - 03fce6fac0f286c86b6b5c49a43b094fc4a8ab07
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : WEEK-17 SHA - 30cd52f3d9c1f4ceaee9b46e90331b1e68a80d57
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17149.45000000016 / 16936.94000000008 [+1.25%]
Products
Total CPU difference: 11292.350000000108 / 11283.690000000102 [+0.08%]
Windows-64-VC14:
OCCT
Total CPU difference: 18622.171875 / 18389.65625 [+1.26%]
Products
Total CPU difference: 13047.59375 / 13180.625 [-1.01%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0091806)
git (administrator)
2020-04-26 14:12

Branch CR31512 has been deleted by inv.

SHA-1: fdd890b4c871a5f59f93d05db49f298a1366c7da

- Related Changesets
occt: master 89fcfe15
Timestamp: 2020-04-21 19:26:13
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031512: Foundation Classes - drop unused class NCollection_Comparator
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff ] File ]
mod - src/NCollection/FILES Diff ] File ]
rm - src/NCollection/NCollection_Comparator.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-04-21 22:23 kgv New Issue
2020-04-21 22:23 kgv Assigned To => abv
2020-04-21 22:25 git Note Added: 0091708
2020-04-21 22:28 kgv Relationship added child of 0027915
2020-04-21 22:29 kgv Product Version => 7.1.0
2020-04-21 22:29 kgv Relationship added child of 0022278
2020-04-21 23:46 kgv Note Added: 0091709
2020-04-21 23:46 kgv Assigned To abv => bugmaster
2020-04-21 23:46 kgv Status new => resolved
2020-04-21 23:46 kgv Status resolved => reviewed
2020-04-24 10:39 bugmaster Note Added: 0091764
2020-04-24 10:39 bugmaster Status reviewed => tested
2020-04-24 10:41 bugmaster Test case number => bugs/vis/bug31440
2020-04-24 10:41 bugmaster Test case number bugs/vis/bug31440 =>
2020-04-24 10:42 bugmaster Test case number => Not required
2020-04-26 14:02 bugmaster Changeset attached => occt master 89fcfe15
2020-04-26 14:02 bugmaster Status tested => verified
2020-04-26 14:02 bugmaster Resolution open => fixed
2020-04-26 14:12 git Note Added: 0091806


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker